
Foreman - Bug #1793

Better handle case when a domain has no DNS proxy set
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Host creation   

Target version: 1.0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a domain in Foreman (More -> Domains -> dmz.example.com) does not have a DNS smart-proxy set, creating a host in that

domain fails with an unhelpful error message like this: "Create DNS record for web01.dmz.example.com task failed with the following

error: undefined method `create' for nil:NilClass".

Full log message here: http://pastie.org/4358270

A case like this should either result in a better error message (e.g. "No DNS smart proxy set for domain") or, probably even better, a

warning that no proxy is set and thus no DNS RR (A) will be created for the new host. The user could then have the option to

continue or fix the missing DNS proxy.

Associated revisions

Revision ca4c08a1 - 08/08/2012 10:29 AM - Ohad Levy

fixes #1793 - Better handle case when a domain has no DNS proxy set

Revision 9b85aee5 - 08/08/2012 10:30 AM - Ohad Levy

fixes #1793 - Better handle case when a domain has no DNS proxy set

History

#1 - 08/08/2012 10:30 AM - Ohad Levy

- Category set to Host creation

- Assignee changed from Greg Sutcliffe to Ohad Levy

- Target version set to 1.1

#2 - 08/08/2012 11:43 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 9b85aee53388b6a3eb26aed62110d2578f0f2234.

#3 - 08/09/2012 09:54 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
